Skip to content
Native Angular2 directives for Bootstrap
Branch: master
Clone or download
Pull request Compare This branch is 83 commits ahead, 1618 commits behind valor-software:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.idea
lib
web
.gitignore
LICENSE
README.md
ng2_strap.iml
pubspec.yaml

README.md

ng2_strap (Deprecated)

Please use ng_bootstrap

Join the chat at https://gitter.im/dart-league/ng2_strap

Native Angular2 Dart directives for Bootstrap

Works with Bootstrap 3

Getting Started

1. Create a new angular2-dart app: https://angular.io/docs/dart/latest/quickstart.html

2. Add ng2_strap to pubspect.yaml:

dependencies:
    ...
    ng2_strap: any
    ...

3. Add sass transformer:

dependencies:
    ...
    sass: any
    ...
transformers:
- sass

you need to install sass previously

4. Add css stylesheet link to index.html:

<head>
    ...
    <link rel="stylesheet" href="packages/ng2_strap/styles/ng2_strap.css">
    ...
</head>

5. Add needed ng2_strap directives to your components:

@Component(
    ...
    directives: const [N2S_ACCORDION_DIRECTIVES])

Usage & Demo

http://dart-league.github.io/ng2_strap/

Components

Contribution

Please read central ng2 modules readme for details, plans and approach and welcome :)

Create new issues

Fork me

TODO

  • support animation (in progress...)
  • demo page
  • docs
You can’t perform that action at this time.